function JP_tj = kin_xyzbc_tt_JP_tj(in1,in2,in3)
%kin_xyzbc_tt_JP_tj
%    JP_tj = kin_xyzbc_tt_JP_tj(IN1,IN2,IN3)

%    This function was generated by the Symbolic Math Toolbox version 9.1.
%    07-Nov-2023 14:54:36

%Jacobian first derivative ( Forward Kinematics ) : 
%INPUTS : 
%	r_j    (5x1) : pose vector( joint space )
%	v_j    (5x1) : speed vector( joint space )
%	a_j    (5x1) : acceleration vector( joint space )
%	p      (3x5) : parameters
%OUTPUTS : 
%	M      (5x5) : resulting matrix
%#codegen
b = in1(4,:);
c = in1(5,:);
jp1 = in2(1,:);
jp2 = in2(2,:);
jp3 = in2(3,:);
jp4 = in2(4,:);
jp5 = in2(5,:);
offB1 = in3(10);
offB2 = in3(11);
offC1 = in3(13);
offB3 = in3(12);
offC2 = in3(14);
offC3 = in3(15);
offM1 = in3(1);
offM2 = in3(2);
offM3 = in3(3);
offT1 = in3(4);
offT2 = in3(5);
offT3 = in3(6);
x = in1(1,:);
y = in1(2,:);
z = in1(3,:);
t2 = cos(b);
t3 = cos(c);
t4 = sin(b);
t5 = sin(c);
t6 = -offM1;
t7 = -offM2;
t8 = -offM3;
t9 = offB1+offC1+offT1+t6+x;
t10 = offB2+offC2+offT2+t7+y;
t11 = offB3+offC3+offT3+t8+z;
t12 = t4.*t5.*t11;
t13 = t2.*t3.*t9;
t14 = t2.*t3.*t11;
t15 = t2.*t5.*t9;
t16 = t3.*t4.*t9;
t17 = t2.*t5.*t11;
t18 = t3.*t4.*t11;
t19 = t4.*t5.*t9;
t20 = -t15;
t21 = t14+t16;
t22 = t17+t19;
mt1 = [-jp4.*t3.*t4-jp5.*t2.*t5,-jp5.*t2.*t3+jp4.*t4.*t5,jp4.*t2,0.0,0.0,jp5.*t3,-jp5.*t5,0.0,0.0,0.0,-jp4.*t2.*t3+jp5.*t4.*t5,jp4.*t2.*t5+jp5.*t3.*t4,-jp4.*t4,0.0,0.0,jp5.*t22-jp4.*(t13-t18)-jp1.*t3.*t4-jp3.*t2.*t3,-jp4.*(t12+t20)+jp5.*t21+jp1.*t4.*t5+jp3.*t2.*t5,jp1.*t2-jp3.*t4-jp4.*(t2.*t11+t4.*t9),0.0,0.0,jp5.*(-t13+t18+offB1.*t3+offB2.*t5-t5.*t10)+jp2.*t3+jp4.*t22-jp1.*t2.*t5+jp3.*t4.*t5];
mt2 = [-jp2.*t5+jp4.*t21-jp5.*(t12+t20-offB2.*t3+offB1.*t5+t3.*t10)-jp1.*t2.*t3+jp3.*t3.*t4,0.0,0.0,0.0];
JP_tj = reshape([mt1,mt2],5,5);
